//
//  ViewController.swift
//  IsItCarnivalYet
//
//  Created by Michael Gazzola on 11/24/14.
//  Copyright (c) 2014 Michael Gazzola. All rights reserved.
//

import CarnivalKit
import UIKit

class ViewController: UIViewController {

    @IBOutlet var answerLabel: UILabel!
    @IBOutlet var indicator: UIActivityIndicatorView!
    @IBOutlet var lastUpdated: UILabel!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        self.answerLabel.text="I DON'T KNOW!"
        self.indicator.hidden = true
        self.lastUpdated.text = ""
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    @IBAction func checkForCarnival(sender: AnyObject) {
        self.answerLabel.text = "CHECKING..."
        self.indicator.hidden = false
        self.indicator.startAnimating()
        dispatch_async(dispatch_get_global_queue(QOS_CLASS_USER_INITIATED, 0), {
            let text = CarnivalFinder.carnivalYet()
            dispatch_async(dispatch_get_main_queue(), { () -> Void in
                self.answerLabel.text = text
                self.indicator.stopAnimating()
                self.indicator.hidden = true
                let lastUpdated = CarnivalFinder.lastUpdated() ?? ""
                self.lastUpdated.text = "Last updated: \(lastUpdated)"
            })
        })
    }

}

